#include "geminc.h"
#include "gemprm.h"
#include "afcmn.h"

/*
**  Function prototypes.
*/

void af_icpt( char [][8], char[][8], int * );

char *outstr( char [] );


void af_icpt( char rimnem[][8], char cimnem[][8], int *iret )
{

    int ierwlg;

    unsigned int jj, ntrb, nicg, npwx, ncld;

    char logmsg[201];

/*
**  Print out all of the single-level character interface values
**  that are not "missing".
*/
    for ( jj = 0; jj < (cintfp.icwcod[0]) - 1; jj++ ) {
	if ( cintfv.civals[jj][0] != CHSPAC ) {
	    sprintf( logmsg, "%s = ", outstr(cimnem[jj]) );
	    sprintf( &(logmsg[strlen(logmsg)]), "%s\n" ,
		     outstr(cintfv.civals[jj]) );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Print out all of the single-level real interface values
**  that are not "missing".
*/
    for ( jj = 0; jj < NRSIMN; jj++ ) {
	if ( ! ERMISS( rintfv.rivals[jj] ) ) {
	    sprintf( logmsg, "%s = %10.2f\n",
		     outstr(rimnem[jj]), rintfv.rivals[jj] );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Print out all of the multi-level interface values.
*/
/*
**  Turbulence.
*/
    ntrb = ( unsigned int ) rintfv.rivals[(rintfp.irntrb)-1];
    sprintf( logmsg, "%s = %u\n",
	     outstr(rimnem[(rintfp.irntrb)-1]), ntrb );
    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );

    if ( ntrb > 0 ) {
	strcpy(   logmsg,      outstr(rimnem[(rintfp.irdgot[0])-1]) );
	strcpy( &(logmsg[8]),  outstr(rimnem[(rintfp.irhbot[0])-1]) );
	strcpy( &(logmsg[16]), outstr(rimnem[(rintfp.irhtot[0])-1]) );
	strcpy( &(logmsg[24]), outstr(rimnem[(rintfp.irfqot[0])-1]) );
	strcpy( &(logmsg[32]), outstr(rimnem[(rintfp.irtpot[0])-1]) );
	dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	for ( jj = 0; jj < ntrb; jj++ ) {
	    sprintf( logmsg,
		     "%4.1f %8.1f %8.1f %5.1f %5.1f\n",
		     rintfv.rivals[(rintfp.irdgot[jj])-1],
		     rintfv.rivals[(rintfp.irhbot[jj])-1],
		     rintfv.rivals[(rintfp.irhtot[jj])-1],
		     rintfv.rivals[(rintfp.irfqot[jj])-1],
		     rintfv.rivals[(rintfp.irtpot[jj])-1] );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }
    
/*
**  Airframe icing.
*/
    nicg = ( unsigned int ) rintfv.rivals[(rintfp.irnicg)-1];
    sprintf( logmsg, "%s = %u\n",
	     outstr(rimnem[(rintfp.irnicg)-1]), nicg );
    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );

    if ( nicg > 0 ) {
	strcpy(   logmsg,      outstr(rimnem[(rintfp.irafic[0])-1]) );
	strcpy( &(logmsg[8]),  outstr(rimnem[(rintfp.irhboi[0])-1]) );
	strcpy( &(logmsg[16]), outstr(rimnem[(rintfp.irhtoi[0])-1]) );
	strcpy( &(logmsg[24]), outstr(rimnem[(rintfp.irtpoi[0])-1]) );
	dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	for ( jj = 0; jj < nicg; jj++ ) {
	    sprintf( logmsg,
		     "%4.1f %8.1f %8.1f %5.1f\n",
		     rintfv.rivals[(rintfp.irafic[jj])-1],
		     rintfv.rivals[(rintfp.irhboi[jj])-1],
		     rintfv.rivals[(rintfp.irhtoi[jj])-1],
		     rintfv.rivals[(rintfp.irtpoi[jj])-1] );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }
    
/*
**  Present weather.
*/
    npwx = ( unsigned int ) rintfv.rivals[(rintfp.irnpwx)-1];
    sprintf( logmsg, "%s = %u\n",
	     outstr(rimnem[(rintfp.irnpwx)-1]), npwx );
    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );

    if ( npwx > 0 ) {
	strcpy(   logmsg,      outstr(cimnem[(cintfp.icwcod[0])-1]) );
	strcpy( &(logmsg[8]),  outstr(rimnem[(rintfp.irhbwx[0])-1]) );
	strcpy( &(logmsg[16]), outstr(rimnem[(rintfp.irhtwx[0])-1]) );
	dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	for ( jj = 0; jj < npwx; jj++ ) {
	    sprintf( logmsg,
		     "%s %8.1f %8.1f\n",
		     outstr(cintfv.civals[(cintfp.icwcod[jj])-1]),
		     rintfv.rivals[(rintfp.irhbwx[jj])-1],
		     rintfv.rivals[(rintfp.irhtwx[jj])-1] );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }
    
/*
**  Cloud data.
*/
    ncld = ( unsigned int ) rintfv.rivals[(rintfp.irncld)-1];
    sprintf( logmsg, "%s = %u\n",
	     outstr(rimnem[(rintfp.irncld)-1]), ncld );
    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );

    if ( ncld > 0 ) {
	strcpy(   logmsg,      outstr(rimnem[(rintfp.irclam[0])-1]) );
	strcpy( &(logmsg[8]),  outstr(rimnem[(rintfp.ircltp[0])-1]) );
	strcpy( &(logmsg[16]), outstr(rimnem[(rintfp.irhcbf[0])-1]) );
	strcpy( &(logmsg[24]), outstr(rimnem[(rintfp.irhctf[0])-1]) );
	dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	for ( jj = 0; jj < ncld; jj++ ) {
	    sprintf( logmsg,
		     "%5.1f %5.1f %8.1f %8.1f\n",
		     rintfv.rivals[(rintfp.irclam[jj])-1],
		     rintfv.rivals[(rintfp.ircltp[jj])-1],
		     rintfv.rivals[(rintfp.irhcbf[jj])-1],
		     rintfv.rivals[(rintfp.irhctf[jj])-1] );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Set return code.
*/
    *iret = 0;

    return;
}

char *outstr( char string[] ) {

    unsigned short ii;

    static char tmpstr[9];

/*
**  Return a null-terminated copy of string.
*/
    for ( ii = 0; ii < 8; ii++ ) {
	tmpstr[ii] = string[ii];
    }
    tmpstr[8] = '\0';

    return tmpstr;
}
